Subject: bug#12745: crash in bidi_pop_it during (idle) redisplay

From: Eli Zaretskii <[email-masked]>
Date: Mon, 29 Oct 2012 22:59:51 +0200

> Date: Mon, 29 Oct 2012 16:42:23 -0400
> From: Alp Aker <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> So the weird character is just a hook on which we can hang display
> vectors intended for newlines.  But when the display settings for
> newlines are normal it just gets displayed as a space. This is
> admittedly a gross manoeuvre, but I couldn't think of any other way to
> handle the issue.

Couldn't you simply put the $ (or whatever) in the display string,
where you now put the u+e000 character?